/**
 * Copyright 2010-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.protocol.impl.shell;

import org.ow2.util.protocol.api.IShellFormatter;

/**
 *
 * @author Loris Bouzonnet
 */
public class ShShellFormatter implements IShellFormatter {

	public String formatSet(String name, String value) {
		return "export " + name + "=" + value;
	}

	public String formatUnset(String name) {
		return "unset " + name;
	}

	public String formatVariable(String name) {
		return "$" + name;
	}

}
