/**
 * Copyright 2010-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.protocol.ssh.impl.jsch;

import com.jcraft.jsch.UserInfo;

/**
 * @author Loris Bouzonnet
 */
public class CachedUserInfo implements UserInfo {

    private final String password;

    private final String passphrase;


    public CachedUserInfo(final String password, final String passphrase) {
        this.password = password;
        this.passphrase = passphrase;
    }

    public String getPassphrase() {
        return passphrase;
    }

    public String getPassword() {
        return password;
    }

    public boolean promptPassword(final String message) {
        return true;
    }

    public boolean promptPassphrase(final String message) {
        return true;
    }

    public boolean promptYesNo(final String message) {
        return true;
    }

    public void showMessage(final String message) {
    }

}
